﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace WpfApplication50.ViewModel
{
   public  class ViewModel: INotifyPropertyChanged
    {
       string mask = "????###";
       public string Mask
       {
           get { return mask; }
           set { mask = value;
           NotifyPropertyChanged("Mask");
           }
       }
       ObservableCollection<Person> people = new ObservableCollection<Person>();
       public ObservableCollection<Person> People
       {
           get { return people; }
           set { people = value; }
       }
       private void NotifyPropertyChanged(String propertyName)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
           }
       }

       public ViewModel()
       {
           for (int i = 0; i < 10; i++)
           {
               Person p = new Person()
               {
                   Name = "name " + i.ToString(),
                    
                    Age = 18 + i,
                    Salary = (double)14567.8987765
               };
               people.Add(p);
           }         

       }

       #region INotifyPropertyChanged Members

       public event PropertyChangedEventHandler PropertyChanged;

       #endregion
    }
}
